# DatabaseURL
# ----------------------------
#
# Data type: string
#
# Status: Required
#
# Description: Provide URL and the authentication details to your postgres database. Any special characters should be
# URL-encoded. Example: postgresql://user:password@domain:port/databasename
DatabaseURL: postgres://example-user:example-password@example-host/example-database

# EncryptionKey
# ----------------------------
#
# Data type: string
#
# Status: Required.
#
# Description: The base64 encoding of the AES-256 encryption key used for encrypting secret connector config values.
# You can both generate such a key and encode it with OpenSSL: `openssl rand -base64 32`.
# Binaries for OpenSSL are available from https://wiki.openssl.org/index.php/Binaries.
EncryptionKey: place-base64-encoding-of-256-bit-key-here

# OIDCClientSecret
# ----------------------------
#
# Data type: string
#
# Status: Required if OIDC authentication is enabled, ignored otherwise
#
# Description: OIDC client secret for performing authorization code exchanges

# SMTPHostname
# ----------------------------
#
# Data type: string
#
# Status: Required
#
# Description: the hostname for the SMTP server to which mails are sent.
SMTPHostname: example-smtp-hostname

# SMTPPassword
# ----------------------------
#
# Data type: string
#
# Status: Required
#
# Description: the password which is used for authenticating on the SMTP server.
SMTPPassword: example-smtp-password

# SMTPPort
# ----------------------------
#
# Data type: integer
#
# Status: Required
#
# Description: the port on which smtp requests are sent on the configured SMTP host.
SMTPPort: 1025

# SMTPUser
# ----------------------------
#
# Data type: string
#
# Status: Required
#
# Description: the username which is used for authenticating on the SMTP server.
SMTPUser: example-smtp-user

# ScimPassword
# ----------------------------
#
# Data type: string
#
# Status: Required
#
# Description: The bearer token to be used for HTTP Bearer authentication for the SCIM interface.
ScimPassword: example-scim-password
